| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Typedefs | Functions
video1394.h File Reference
`#include <ARX/ARVideo/video.h>`
Include dependency graph for video1394.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs
typedef struct _AR2VideoParam1394T | AR2VideoParam1394T

## Functions
int | ar2VideoDispOption1394 (void)
AR2VideoParam1394T * | ar2VideoOpen1394 (const char *config)
int | ar2VideoClose1394 (AR2VideoParam1394T *vid)
int | ar2VideoGetId1394 (AR2VideoParam1394T *vid, ARUint32 *id0, ARUint32 *id1)
int | ar2VideoGetSize1394 (AR2VideoParam1394T *vid, int *x, int *y)
AR_PIXEL_FORMAT | ar2VideoGetPixelFormat1394 (AR2VideoParam1394T *vid)
AR2VideoBufferT * | ar2VideoGetImage1394 (AR2VideoParam1394T *vid)
int | ar2VideoCapStart1394 (AR2VideoParam1394T *vid)
int | ar2VideoCapStop1394 (AR2VideoParam1394T *vid)
int | ar2VideoGetParami1394 (AR2VideoParam1394T *vid, int paramName, int *value)
int | ar2VideoSetParami1394 (AR2VideoParam1394T *vid, int paramName, int value)
int | ar2VideoGetParamd1394 (AR2VideoParam1394T *vid, int paramName, double *value)
int | ar2VideoSetParamd1394 (AR2VideoParam1394T *vid, int paramName, double value)
int | ar2VideoGetParams1394 (AR2VideoParam1394T *vid, const int paramName, char **value)
int | ar2VideoSetParams1394 (AR2VideoParam1394T *vid, const int paramName, const char *value)
int | ar2VideoSaveParam1394 (AR2VideoParam1394T *vid, char *filename)
int | ar2VideoLoadParam1394 (AR2VideoParam1394T *vid, char *filename)

## Typedef Documentation

## ◆ AR2VideoParam1394T

typedef struct _AR2VideoParam1394T AR2VideoParam1394T

## Function Documentation

## ◆ ar2VideoCapStart1394()

int ar2VideoCapStart1394 | ( | AR2VideoParam1394T * | vid | ) |

## ◆ ar2VideoCapStop1394()

int ar2VideoCapStop1394 | ( | AR2VideoParam1394T * | vid | ) |

## ◆ ar2VideoClose1394()

int ar2VideoClose1394 | ( | AR2VideoParam1394T * | vid | ) |

## ◆ ar2VideoDispOption1394()

int ar2VideoDispOption1394 | ( | void |  | ) |

## ◆ ar2VideoGetId1394()

int ar2VideoGetId1394 | ( | AR2VideoParam1394T * | vid,
|  | ARUint32 * | id0,
|  | ARUint32 * | id1
| ) |  |

## ◆ ar2VideoGetImage1394()

AR2VideoBufferT * ar2VideoGetImage1394 | ( | AR2VideoParam1394T * | vid | ) |

## ◆ ar2VideoGetParamd1394()

int ar2VideoGetParamd1394 | ( | AR2VideoParam1394T * | vid,
|  | int | paramName,
|  | double * | value
| ) |  |

## ◆ ar2VideoGetParami1394()

int ar2VideoGetParami1394 | ( | AR2VideoParam1394T * | vid,
|  | int | paramName,
|  | int * | value
| ) |  |

## ◆ ar2VideoGetParams1394()

int ar2VideoGetParams1394 | ( | AR2VideoParam1394T * | vid,
|  | const int | paramName,
|  | char ** | value
| ) |  |

## ◆ ar2VideoGetPixelFormat1394()

AR_PIXEL_FORMAT ar2VideoGetPixelFormat1394 | ( | AR2VideoParam1394T * | vid | ) |

## ◆ ar2VideoGetSize1394()

int ar2VideoGetSize1394 | ( | AR2VideoParam1394T * | vid,
|  | int * | x,
|  | int * | y
| ) |  |

## ◆ ar2VideoLoadParam1394()

int ar2VideoLoadParam1394 | ( | AR2VideoParam1394T * | vid,
|  | char * | filename
| ) |  |

## ◆ ar2VideoOpen1394()

AR2VideoParam1394T * ar2VideoOpen1394 | ( | const char * | config | ) |

## ◆ ar2VideoSaveParam1394()

int ar2VideoSaveParam1394 | ( | AR2VideoParam1394T * | vid,
|  | char * | filename
| ) |  |

## ◆ ar2VideoSetParamd1394()

int ar2VideoSetParamd1394 | ( | AR2VideoParam1394T * | vid,
|  | int | paramName,
|  | double | value
| ) |  |

## ◆ ar2VideoSetParami1394()

int ar2VideoSetParami1394 | ( | AR2VideoParam1394T * | vid,
|  | int | paramName,
|  | int | value
| ) |  |

## ◆ ar2VideoSetParams1394()

int ar2VideoSetParams1394 | ( | AR2VideoParam1394T * | vid,
|  | const int | paramName,
|  | const char * | value
| ) |  |